Subject: Re: [PATCH net] ipv6 addrconf: fix bug where deleting a mngtmpaddr can create a new temporary address

From: Jiri Pirko <[email-masked]>
Date: Wed, 19 Jul 2023 08:47:44 +0200

Wed, Jul 19, 2023 at 01:08:32AM CEST, [email-masked] wrote:
>On Fri, 14 Jul 2023 08:49:55 -0600 David Ahern wrote:
>> > I did consider that and I couldn't quite convince myself that simply
>> > removing "|| list_empty()" from the if statement is necessarily correct
>> > (thus I went with the more obviously correct change).
>> > 
>> > Are you convinced dropping the || list_empty would work?
>> > I assume it's there for some reason...  
>> 
>> I am hoping Jiri can recall why that part was added since it has the
>> side effect of adding an address on a delete which should not happen.
>
>Did we get stuck here? Jiri are you around to answer?

Most probably a bug. But, this is 10 years since the change, I don't
remember much after this period. I didn't touch the code since :/